Owncloud 8.2.7 to 9.1

8.2.x
upgrade
9.0.x
9.1.x

#1

Hi,

I have done yesterday by misstake the package upgrade via linux package repository from 8.2.7.1 to 9.1.4, but it was not working.

I decided today do the manual upgrade from 8.2.7.1 to 9.0.8, everything is working, but on pkg info i see still the 9.1.4 version, so I decided to continue to version 9.1.4 manually, but then I get the

The process control (PCNTL) extensions are required in case you want to interrupt long running commands - see http://php.net/manual/en/book.pcntl.php
ownCloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
Set log level to debug
> Exception: Updates between multiple major versions and downgrades are unsupported.
Update failed
Maintenance mode is kept active
Reset log level

also the occ status i get is that the version 9.1.4 is already installed, but in the webpage I see version 9.0.8

ownCloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
- installed: true
- version: 9.1.4.2
- versionstring: 9.1.4
- edition:

Any suggestion what to do next ?
Or where can be the problem?

Thanks.


#2

Hi,

I have fixed that issue, there was the problem with the latest tar file downloaded and also manual procedure was not correctly done.

Now everything is working.


#3

Hi,

in such cases putting the "Updates between multiple major versions and downgrades are unsupported." message into the search box of the forums might help as well to get to the needed info. There is also a FAQ about this available here at [1].

[1]